<template>
    <div>
        <div class="alert alert-success" role="alert" v-if="success">
            User details updated successfully.
        </div>
        <form @submit.prevent="onSubmit()">
            <div class="form-group row mb-2">
                <label class="col-md-2 col-form-label"
                       for="email">Email</label>
                <div class="col-md-8">
                    <input class="form-control"
                           id="email"
                           type="email"
                           v-model="email"/>
                </div>
            </div>

            <div class="form-group row mb-2">
                <label class="col-md-2 col-form-label"
                       for="firstNameId">Name</label>
                <div class="col-md-8">
                    <input class="form-control"
                           id="firstNameId"
                           type="text"
                           v-model="fullName"/>
                </div>
            </div>

            <div class="form-group row mb-2">
                <div class="offset-md-2 col-md-4">
                    <button class="btn btn-primary mr-3"
                            type="submit">
                        Update Details
                    </button>
                </div>
            </div>
        </form>
    </div>
</template>

<script>
    import UserService from "../../services/user.service";
    export default {
        data() {
            return {
                email: undefined,
                fullName: undefined,
                success: false
            }
        },
        methods: {
            onSubmit() {
                const formData = {
                    email: this.email,
                    name: this.fullName
                }
                UserService.updateDetails(formData).subscribe(() => {
                    this.success = true;
                    this.fullName = '';
                    this.email = ''
                })
            }
        }
    }
</script>
